import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JTextField;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;


public class S3CredsDialog extends JDialog {

	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();
	private JTextField tbKeyID;
	private JTextField tbSecretKey;
	private boolean isOk;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			S3CredsDialog dialog = new S3CredsDialog();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public S3CredsDialog() {
		setTitle("Amazon S3 credentials");
		setBounds(100, 100, 311, 191);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(null);
		{
			JLabel lblPleaseProvideYour = new JLabel("Please provide your Amazon S3 credentials:");
			lblPleaseProvideYour.setBounds(40, 11, 373, 14);
			contentPanel.add(lblPleaseProvideYour);
		}
		{
			JLabel lblKeyId = new JLabel("Key ID:");
			lblKeyId.setBounds(10, 36, 89, 14);
			contentPanel.add(lblKeyId);
		}
		{
			tbKeyID = new JTextField();
			tbKeyID.setBounds(10, 53, 285, 20);
			contentPanel.add(tbKeyID);
			tbKeyID.setColumns(10);
		}
		{
			JLabel lblS = new JLabel("Secret key:");
			lblS.setBounds(10, 84, 133, 14);
			contentPanel.add(lblS);
		}
		{
			tbSecretKey = new JTextField();
			tbSecretKey.setColumns(10);
			tbSecretKey.setBounds(10, 100, 285, 20);
			contentPanel.add(tbSecretKey);
		}
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						isOk = true;
						setVisible(false);
					}
				});
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
			{
				JButton cancelButton = new JButton("Cancel");
				cancelButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						dispose();
					}
				});
				cancelButton.setActionCommand("Cancel");
				buttonPane.add(cancelButton);
			}
		}
	}

	public boolean isOK() {
		return isOk;
	}

	public String getKeyID() {
		return tbKeyID.getText();
	}

	public String getSecretKey() {
		return tbSecretKey.getText();
	}

}
