import java.awt.EventQueue;

import javax.swing.JDialog;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.JButton;

import SecureBlackbox.Office.TElOfficeCustomSignatureHandler;

public class SignedEntriesInfoForm extends JDialog {

	private static final long serialVersionUID = 1L;
	private JTable lvInfo;
	private EntriesTableModel model;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					SignedEntriesInfoForm dialog = new SignedEntriesInfoForm();
					dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
					dialog.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the dialog.
	 */
	public SignedEntriesInfoForm() {
		setTitle("Signed Entries Info");
		setBounds(100, 100, 532, 396);
		getContentPane().setLayout(null);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBounds(10, 11, 504, 308);
		getContentPane().add(scrollPane);
		
		model = new EntriesTableModel();
		lvInfo = new JTable(model);
		lvInfo.setFillsViewportHeight(true);
		scrollPane.setViewportView(lvInfo);
		
		JButton btnOk = new JButton("OK");
		btnOk.setBounds(423, 335, 91, 23);
		getContentPane().add(btnOk);

	}

    TElOfficeCustomSignatureHandler _Handler = null;

    public void SetSignatureHandler(TElOfficeCustomSignatureHandler handler)
    {
        _Handler = handler;
        UpdateEntries();
    }

    private void UpdateEntries()
    {
        model.clear();
        model.fill(_Handler);
    }	
}
