import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

public class PanelProcessProtection extends JPanel {
 	private static final long serialVersionUID = 2832007154453233150L;
    private JLabel blankSpace;
    private JPanel panel;
    private JLabel progressDescription;
    private JProgressBar progress;
    private JLabel welcomeTitle;
    
    private JPanel contentPanel;
    private JLabel iconLabel;
    private JSeparator separator;
    private JLabel textLabel;
    private JPanel titlePanel;
        
    public PanelProcessProtection() {
        
        super();
                
        contentPanel = getContentPanel();
        ImageIcon icon = getImageIcon();
        
        titlePanel = new javax.swing.JPanel();
        textLabel = new javax.swing.JLabel();
        iconLabel = new javax.swing.JLabel();
        separator = new javax.swing.JSeparator();

        setLayout(new java.awt.BorderLayout());

        titlePanel.setLayout(new java.awt.BorderLayout());
        titlePanel.setBackground(Color.gray);
        
        textLabel.setBackground(Color.gray);
        textLabel.setFont(new Font("MS Sans Serif", Font.BOLD, 14));
        textLabel.setText("Pretending To Connect To Server");
        textLabel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));
        textLabel.setOpaque(true);

        iconLabel.setBackground(Color.gray);
        if (icon != null)
            iconLabel.setIcon(icon);
        
        titlePanel.add(textLabel, BorderLayout.CENTER);
        titlePanel.add(iconLabel, BorderLayout.EAST);
        titlePanel.add(separator, BorderLayout.SOUTH);

        add(titlePanel, BorderLayout.NORTH);
        JPanel secondaryPanel = new JPanel();
        secondaryPanel.setLayout(null);
        secondaryPanel.add(contentPanel);
        add(secondaryPanel, BorderLayout.CENTER);
        
    }  
    
    public void setProgressText(String s) {
        progressDescription.setText(s);
    }
    
    public void setProgressValue(int i) {
        progress.setValue(i);
    }
    
    private JPanel getContentPanel() {            
        
        JPanel result = new JPanel();
        result.setBounds(0, 0, 450, 100);
        
        new ButtonGroup();
        welcomeTitle = new JLabel();
        welcomeTitle.setBounds(0, 0, 316, 14);
        panel = new JPanel();
        panel.setBounds(0, 14, 450, 80);
        blankSpace = new JLabel();
        blankSpace.setBounds(0, 40, 480, 20);
        progress = new JProgressBar();
        progress.setBounds(0, 0, 450, 20);
        progressDescription = new JLabel();
        progressDescription.setBounds(0, 20, 450, 20);
        result.setLayout(null);

        welcomeTitle.setText("Now we will try to protect our data...");
        result.add(welcomeTitle);
        panel.setLayout(null);

        panel.add(blankSpace);
        
        progress.setPreferredSize(new Dimension(480, 20));
        progress.setStringPainted(true);
        panel.add(progress);

        progressDescription.setFont(new java.awt.Font("MS Sans Serif", 1, 11));
        progressDescription.setText("Protecting data...");
        panel.add(progressDescription);

        panel.add(blankSpace);
        panel.add(blankSpace);

        result.add(panel);
        
        return result;
    }
    
    private ImageIcon getImageIcon() {        
        return null;
    }
    
}
