import java.awt.EventQueue;

import javax.swing.JDialog;
import javax.swing.JProgressBar;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;


public class ProgressDialog extends JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JProgressBar progressBar;
	private Main mParent;
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					ProgressDialog dialog = new ProgressDialog(null);
					dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
					dialog.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the dialog.
	 * @param parent 
	 */
	public ProgressDialog(Main parent) {
		mParent = parent;
		setTitle("Copying...");
		setBounds(100, 100, 394, 122);
		getContentPane().setLayout(null);
		
		progressBar = new JProgressBar();
		progressBar.setBounds(10, 26, 350, 16);
		getContentPane().add(progressBar);
		
		JButton btnAbort = new JButton("Abort");
		btnAbort.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				mParent.onClosingProgressDialog();
			}
		});
		btnAbort.setBounds(136, 53, 91, 23);
		getContentPane().add(btnAbort);

	}

	public void setProgressBarValue(int val) {
		progressBar.setValue(val);
	}
}
